"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.messages = exports.ruleName = undefined;

exports.default = function (actual) {
  return function (root, result) {
    var validOptions = (0, _utils.validateOptions)(result, ruleName, { actual: actual });
    if (!validOptions) {
      return;
    }

    root.walkComments(function (comment) {
      // To ignore inline SCSS comments
      if (comment.raws.inline || comment.inline) {
        return;
      }
      // To ignore comments that are not empty
      if (comment.text && comment.text.length !== 0) {
        return;
      }
      (0, _utils.report)({
        message: messages.rejected,
        node: comment,
        result: result,
        ruleName: ruleName
      });
    });
  };
};

var _utils = require("../../utils");

var ruleName = exports.ruleName = "comment-no-empty";

var messages = exports.messages = (0, _utils.ruleMessages)(ruleName, {
  rejected: "Unexpected empty comment"
});