"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.messages = exports.ruleName = undefined;

exports.default = function (actual) {
  return function (root, result) {
    var validOptions = (0, _utils.validateOptions)(result, ruleName, { actual: actual });
    if (!validOptions) {
      return;
    }

    if (!/^\s*$/.test(root.toString())) {
      return;
    }

    (0, _utils.report)({
      message: messages.rejected,
      node: root,
      result: result,
      ruleName: ruleName
    });
  };
};

var _utils = require("../../utils");

var ruleName = exports.ruleName = "no-empty-source";

var messages = exports.messages = (0, _utils.ruleMessages)(ruleName, {
  rejected: "Unexpected empty source"
});