"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = optionsHaveIgnoredProperty;

var _matchesStringOrRegExp = require("./matchesStringOrRegExp");

var _matchesStringOrRegExp2 = _interopRequireDefault(_matchesStringOrRegExp);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Check if an options object contains a user-defined string or regex that
 * matches the passed in property name.
 *
 * @param {object} options
 * @param {string} property name
 * @return {boolean} If `true`, a match was found
 */
function optionsHaveIgnoredProperty(options, propertyName) {
  return !!(options && options.ignoreProperties && (0, _matchesStringOrRegExp2.default)(propertyName.toLowerCase(), options.ignoreProperties));
}