"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = optionsHaveIgnoredType;

var _matchesStringOrRegExp = require("./matchesStringOrRegExp");

var _matchesStringOrRegExp2 = _interopRequireDefault(_matchesStringOrRegExp);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Check if an options object contains a user-defined string or regex that
 * matches the passed in Node.
 *
 * @param {object} options
 * @param {Node} postcss-selector-parser node
 * @return {boolean} If `true`, a match was found
 */
function optionsHaveIgnoredType(options, typeNode) {
  return !!(options && options.ignoreTypes && (0, _matchesStringOrRegExp2.default)(typeNode.value.toLowerCase(), options.ignoreTypes));
}