"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = optionsHaveIgnoredProperty;

var _matchesStringOrRegExp = require("./matchesStringOrRegExp");

var _matchesStringOrRegExp2 = _interopRequireDefault(_matchesStringOrRegExp);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Check if an options object contains a user-defined string or regex that
 * matches the passed in unit
 *
 * @param {object} options
 * @param {string} unit
 * @return {boolean} If `true`, a match was found
 */
function optionsHaveIgnoredProperty(options, unit) {
  return !!(options && options.ignoreUnits && (0, _matchesStringOrRegExp2.default)(unit.toLowerCase(), options.ignoreUnits));
}